会話管理
会話変数を更新
対象アプリ:Chatflow、チャットボット、Agent。
特定の会話変数の値を更新します。値は期待される型と一致する必要があります。
PUT
/
conversations
/
{conversation_id}
/
variables
/
{variable_id}
会話変数を更新
curl --request PUT \
--url https://{api_base_url}/conversations/{conversation_id}/variables/{variable_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "new value",
"user": "abc-123"
}
'import requests
url = "https://{api_base_url}/conversations/{conversation_id}/variables/{variable_id}"
payload = {
"value": "new value",
"user": "abc-123"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: 'new value', user: 'abc-123'})
};
fetch('https://{api_base_url}/conversations/{conversation_id}/variables/{variable_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"name": "user_preference",
"value_type": "string",
"value": "new value",
"description": "ユーザー設定",
"created_at": 1705407629,
"updated_at": 1705411229
}
Authorizations
API Key 認証です。すべての API リクエストにおいて、Authorization HTTP ヘッダーに Bearer プレフィックスを付けた API Key を含めてください。例:Authorization: Bearer {API_KEY}。API Key はサーバーサイドに保存し、クライアントサイドで共有・保存しないことを強く推奨します。API Key の漏洩は深刻な結果につながる可能性があります。API Key が欠落または無効な場合、HTTP 401 とエラーコード unauthorized が返されます。
Path Parameters
会話 ID。
Variable ID.
Body
application/json
Response
変数が正常に更新されました。
Variable ID.
変数名です。
変数の値の型です。指定可能な値:string、number、object、secret、file、boolean、array[any]、array[string]、array[number]、array[object]、array[file]、array[boolean]。
変数値(複雑な型の場合は JSON 文字列)。
変数の説明です。
作成タイムスタンプ。
最終更新タイムスタンプ。
Last modified on July 9, 2026
Was this page helpful?
⌘I
会話変数を更新
